PHP ��U
前一頁 |  | 下一頁

# i18n_loc_set_default

(no version information, might be only in CVS)

i18n_loc_set_default -- Set the default Locale

## Description

bool i18n_loc_set_default ( string name )

Sets the default Locale for PHP programs. Please note that this has nothing to do with setlocale() nor with the system locale.

## Parameters

name

  The new Locale name. A comprehensive list of the supported locales is available at http://www-950.ibm.com/software/globalization/icu/demo/locales/en/?d_=en.

## Return Values

�\�^��`TRUE`�Ѧ^��`FALSE`�C

## �d��

範例 1. A i18n_loc_set_default() example

This example demonstrates a possible usage of i18n_loc_set_default() to localize the sort() functions.

`<?php // the list of the strings to sort $array = array( 'caramelo', 'cacto', 'caçada' ); // set our locale (Portuguese, in this case) i18n_loc_set_default('pt_PT'); // sort using the locale we previously set sort($array, SORT_LOCALE_STRING); print_r($array); ?>`

The above example will output:

    Array
    (
        [0] => caçada
        [1] => cacto
        [2] => caramelo
    )

If we didn't use the locale, PHP would sort the string using the ASCII characters value, thus returning (wrongly):

    Array
    (
        [0] => cacto
        [1] => caramelo
        [2] => caçada
    )

## �Ѧ�

i18n_loc_get_default()

前一頁 | 內容 | 下一頁
i18n_loc_get_default | 上一層 | unicode_encode